summaryrefslogtreecommitdiffstats
path: root/CIbuild.sh
diff options
context:
space:
mode:
Diffstat (limited to 'CIbuild.sh')
-rwxr-xr-xCIbuild.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/CIbuild.sh b/CIbuild.sh
index d652f1d36..93c238b4c 100755
--- a/CIbuild.sh
+++ b/CIbuild.sh
@@ -19,6 +19,7 @@ make -j 2 test ARGS="-V";
echo "Testing..."
cd Server/;
+touch apiCheckFailed.flag
if [ "$TRAVIS_CUBERITE_BUILD_TYPE" != "COVERAGE" ]; then
$CUBERITE_PATH << EOF
load APIDump
@@ -36,4 +37,8 @@ EOF
cat ./DuplicateDocs.txt
exit 1
fi
+ if [ -f ./apiCheckFailed.flag ]; then
+ echo "ERROR: API check has failed with an unknown error"
+ exit 1
+ fi
fi